Bug 145272 - cdrecord fails to write cd images (isos)
cdrecord fails to write cd images (isos)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-16 08:54 EST by cornel panceac
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-28 15:02:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2005-01-16 08:54:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
fc3 fedora core 3. trying to write CD images (iso) fails: it says it
is written ok, but when you want to verify the iso, it fails at the
very end with "error reading from file". since the same bug appears
whatever you use, (k3b,cdrecord,xcdroast,), i suppose the problem is
in cdrecord. the same writer (liteon external usb sohw-832s) writes ok
dvds. the same problem has teac w540e but, ofc, i cannot write dvds
with it dvds :)
on the same hardware, fc2 and others, write cd images ok. also even
fc3 manages to write files. kernel is 2.6.10-1.737_FC3. cdrecord-2.01.1-5.
since even if the error on verify is there, aparently all the cds
(live cd's, usually) seem to function without error. it's the same
problem if you write a 5 meg image (geexbox) or a 700 meg image
(freesbie), if you verify the image in k3b or don't verify it and the
problem appears every time i write iso images.
DVD isos are written ok.

cornel panceac

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.open k3b
2.open cd iso
3.write (with verify)
 or perform similar operations with cdrecord +md5sum, xcdroast ...

Actual Results:  verify fails with "error reading from file"
ofc, the file in this case is the cd (/dev/hdd or whatever)

Expected Results:  verify successful!
we can calculate cd's md5sum, etc

Additional info:

cdwriter (teac w540e) is /dev/hdd, external usb writer is liteon
sohw832s (any usb), motherboard is elitegroup km400-m, processor is
amd barton / 1833 mhz, 512 mb ram, two hard drives (seagate + western
the k3b error at verify, is "error reading from file".
on console,
$ md5sum /dev/hdd
md5sum: /dev/hdd: Input/output error
Comment 2 cornel panceac 2005-01-28 15:01:25 EST
as dwmw2 pointed out (on irc.freenode.net/fedora), it looks more like
a problem with read ahead. toverify this hypothesis, i've written an
iso on cd, without verifying. then i tried to copy the disc, only
creating the image. verifying image's md5 i've found out that is
correct, concluding the write was ok, only the verify phase was
broken. also, dwmw2 suggested that the latest kernel may have fixed
the problem. Indeed, after installing 2.6.10-1.753 (and k3b 0.11.19)
the problem is no more! i can write and verify cds and everything works!
therefore, for me the problem is fixed.

Note You need to log in before you can comment on or make changes to this bug.